<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_shibboleth', language 'ps', version '4.2'.
 *
 * @package     auth_shibboleth
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_shib_auth_method'] = 'د تصدیق د طریقې نوم';
$string['auth_shib_auth_method_description'] = 'د شیببولټ تصدیق کولو میټود لپاره نوم چمتو کړئ کوم چې ستاسو کاروونکو ته آشنا دی. دا ستاسو د شیببولټ فدراسیون نوم کیدای شي، د بیلګې په توګه. <tt>SWITCHaai Login</tt> or <tt>InCommon Login</tt> یا ورته.';
$string['auth_shib_changepasswordurl'] = 'د پسوړد بدلولو URL';
$string['auth_shib_contact_administrator'] = 'په هغه حالت کې چې تاسو ورکړل شوي سازمانونو سره تړاو نلرئ او تاسو په دې سرور کې یوه کورس ته لاسرسی ته اړتیا لرئ، مهرباني وکړئ د <a href="mailto:{$a}"> د موډل اداره کوونکي </a> سره اړیکه ونیسئ.';
$string['auth_shib_convert_data'] = 'د ډیټا بدلون API';
$string['auth_shib_convert_data_description'] = 'تاسو کولی شئ دا API د شبلبولیت لخوا چمتو شوي ډیټا نور تعدیل لپاره وکاروئ. تاسو کولی شئ دا API د شیببولټ لخوا چمتو شوي ډیټا نور تعدیل لپاره وکاروئ.';
$string['auth_shib_convert_data_warning'] = 'فایل شتون نه لري یا د ویب سرور پروسې لخوا د لوستلو وړ ندي!';
$string['auth_shib_idp_list'] = 'د پیژندنې وړاندې کوونکي';
$string['auth_shib_idp_list_description'] = 'د ملکیتونو IDګانو د پېژند وړاندې کوونکو یو نوملړ وړاندې کړئ چې کارن ته اجازه ورکړئ تر څو له لاګ اېن پاڼې څخه وټاکي. په هره کرښه کې باید د idPد نامه او د idP د ملکیت لپاره پر کامه بېل شوی څو ګونی (tuple) وي چې په ډراپ ډون لسټ کې وښودل شي. د یوه انتخابي درېیم پارامټر په توګه تاسو کولای شئ د Shibboleth جلسې جوړوونکي موقیعت اضافه کړئ چې باید په هغه حالت کې وکارول شي چې ستاسو د مووډل انسټالېشن د څوګوني فدراسیون تنظیم یوه برخه وي.';
$string['auth_shib_instructions'] = 'د <a href="{$a}"> شیببولټ لاګ اېن </a> وکاروئ تر څو د شیببولټ له لارې لاسرسی ومومئ، که ستاسو اداره یې ملاتړ وکړي.   <br /> که نه نو، دلته ښودل شوي د لاګ اېن نورمال فورمه وکاروئ.';
$string['auth_shib_instructions_help'] = 'دلته تاسو باید د خپلو کاروونکو لپاره عادي لارښوونې چمتو کړئ تر څو شیببولټ تشریح کړئ. دا به د لارښوونو برخه کې د لاګ اېن پاڼه کې وښودل شي. لارښوونو کې باید "<b>{$a}</b>" ته نښلیدل شامل وي چې کاروونکي يې کلیک کوي کله چې دوی غواړي لاګ اېن شي.';
$string['auth_shib_instructions_key'] = 'د لاګ اېن لارښوونې';
$string['auth_shib_integrated_wayf'] = 'د موډل WAYF خدمت';
$string['auth_shib_integrated_wayf_description'] = 'که تاسو دا فعال کړئ، موډل به د شیببولټ لپاره یو ترتیب شوي پر ځای خپل WAYF خدمت وکاروي. موډل به په دې بدیل لاګ اېن پاڼه کې د ډراپ ډون لیست ښکاره کړي چیرې چې کاروونکی باید د خپل شناخت چمتو کوونکي غوره کړي.';
$string['auth_shib_logout_return_url'] = 'د بدیل لاګ اوټ راستنولو URL';
$string['auth_shib_logout_return_url_description'] = 'URL چمتو کړئ چې د شیببولټ کاروونکي به له وتلو څخه وروسته لارښود ته اړ شي. <br /> که تش پاتې شي، کاروونکي به هفه ځای ته اړول کیږي چې موډل به کاروونکي ورته اړوي';
$string['auth_shib_logout_url'] = 'د Shibboleth
 خدمتونو وړاندې کوونکي د لاګ اوټ د مسوول URL';
$string['auth_shib_logout_url_description'] = 'د Shibboleth
 خدمتونو وړاندې کوونکي د لاګ اوټ د مسوول URL وړاندې کړئ. هغه معمولا <tt>/Shibboleth.sso/Logout</tt> وي.';
$string['auth_shib_no_organizations_warning'] = 'که تاسو غواړئ د WYAF یو ځای شوی خدمت وکاروئ، نو تاسو باید د پیژندنې چمتو کوونکي ادارې، د دوی نومونه او په اختیاري توګه د ناستې پیل کوونکي لپاره د کامې څخه جلا شوي لیست چمتو کړئ.';
$string['auth_shib_only'] = 'یوازې شیببولټ';
$string['auth_shib_only_description'] = 'دا اختیار چک کړئ که د شیپبولیت تصدیق کول پلي شي';
$string['auth_shib_username_description'] = 'د ویب خدمت شیببولټ چاپیریال متغیر نوم چې باید د موډل کاروونکي په توګه وکارول شي.';
$string['auth_shibboleth_errormsg'] = 'مهرباني وکړئ هغه اداره غوره کړئ چې تاسو یې غړیتوب لرئ!';
$string['auth_shibboleth_login'] = 'د شیپبولیت ننوتل';
$string['auth_shibboleth_login_long'] = 'ماډل ته د شیپبولت له لارې ننوتل';
$string['auth_shibboleth_manual_login'] = 'لاسي لاګ اېن';
$string['auth_shibboleth_select_member'] = 'زه یو غړی یم...';
$string['auth_shibboleth_select_organization'] = 'د شیببولټ له لارې د اعتبار لپاره، مهرباني وکړئ خپل تنظیم د لاندې ډراپ مینو څخه وټاکئ:';
$string['auth_shibbolethdescription'] = 'د دې تګلارې په کارولو سره کارنونه جوړ شوي چې  <a href="http://shibboleth.internet2.edu/">Shibboleth</a> پکې کارول شوي. ډاډ تر لاسه کړئ چې <a href="../auth/shibboleth/README.txt">README</a> مو لوستلي تر څو چې خپل مووډل له Shibboleth سره څرنګه تنظیم کړئ.';
$string['pluginname'] = 'شیببولټ';
$string['privacy:metadata'] = 'د شیپبولیت تصدیق کولو پلګ اېن هیڅ شخصي ډیټا نه ساتي.';
$string['shib_invalid_account_error'] = 'تاسو داسې ښکاري چې شیپبولیت تایید شوي مګر موډل ستاسو د کارکوونکي لپاره معتبر حساب نلري. ستاسو حساب ممکن شتون ونلري یا ممکن ځنډول شوی وي.';
$string['shib_no_attributes_error'] = 'داسې برېښي چې تاسو Shibboleth تصدیق کړي یاست خو مووډل لا د کوم کارن ځانګړنه نه ده ترلاسه کړې. هیله ده چک کړئ جې ستاسو د پېژند وړاندې کوونکی د خدماتو وړاندې کوونکي موډل ته د ځانکړو ځانګړنو استول چلیږي یا هم د دې سرور وېب ماسټر ته خبر ورکړئ.';
$string['shib_not_all_attributes_error'] = 'موډل ځینې شیببولټ ځانګړتیاوو ته اړتیا لري کوم چې ستاسو په قضیه کې شتون نلري. ځانګړتیاوې یې دي: {$a}<br /> مهرباني وکړئ د دې سرور ویب ماسټر یا خپل شناخت چمتو کوونکي سره اړیکه ونیسئ.';
$string['shib_not_set_up_error'] = 'د Shibboleth تصدیق په سمه توګه تنظیم شوی نه ښکاري ځکه چې هېڅ Shibboleth چاپېریال متحولین د دې پاڼې لپاره نشته دي. نو د لا زیاتو لارښوونو لپاره له <a href="README.txt">README</a> سره مشوره وکړئ چې څرنګه Shibboleth تصدیق تنظیم کړئ یا د دې مووډل انسټالېشن له وېب ماسټر سره اړیکه کې شئ.';
